Search documentation of tiger_stripe

# Stripe.Services.CustomerCashBalanceService (tiger_stripe v0.1.1)

Copy Markdown View Source

CustomerCashBalance API operations.

## Summary

### Functions

retrieve(client, customer, params \\ %{}, opts \\ [])

Retrieve a cash balance

update(client, customer, params \\ %{}, opts \\ [])

Update a cash balance's settings

## Functions

# retrieve(client, customer, params \\ %{}, opts \\ [])

    @spec retrieve(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Retrieve a cash balance

Retrieves a customer’s cash balance.

# update(client, customer, params \\ %{}, opts \\ [])

    @spec update(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Update a cash balance's settings

Changes the settings on a customer’s cash balance.